diff mk/include-defs.sh @ 0:13d2b8934445

Import AnaGram (near-)release tree into Mercurial.
author David A. Holland
date Sat, 22 Dec 2007 17:52:45 -0500
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/mk/include-defs.sh	Sat Dec 22 17:52:45 2007 -0500
@@ -0,0 +1,16 @@
+#!/bin/sh
+# include-defs.sh - generate make defs for include path
+# usage: include-defs.sh 'incdirs' > rules.mk
+
+if [ $# != 1 ]; then
+    echo "$0: usage: $0 'incdirs'" 1>&2
+    exit 1
+fi
+
+INCDIRS="$1"
+
+INCFLAGS=`echo " " $INCDIRS | sed 's/ \([^ ]\)/ -I\1/g;s/^ *//'`
+echo "INCFLAGS=$INCFLAGS"
+
+WINDRES_INCFLAGS=`echo " " $INCDIRS | sed 's/ \([^ ]\)/ -i\1/g;s/^ *//'`
+echo "WINDRESFLAGS=$WINDRES_INCFLAGS"